### Method

# AppStream ReviewsClient vote_review

since: 1.1.4

#### Declaration [src]

    gboolean
    as_reviews_client_vote_review (
      AsReviewsClient* rrc,
      AsReview* review,
      AsReviewVoteKind vote,
      GError** error
    )

#### Description [src]

Cast a vote on a review that was previously received from the reviews server, to mark it as helpful or unhelpful, or to report it as abusive. On success, the review is marked as voted on by the current user. This call does blocking network I/O.

Available since: 1.1.4

#### Parameters

`review`

  Type: `AsReview`

  The review to vote on.

  The data is owned by the caller of the method.

`vote`

  Type: `AsReviewVoteKind`

  The kind of vote to cast, e.g. `AS_REVIEW_VOTE_KIND_UP`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.